{{template "header.html" .S}}

{{with .List}}
<form class="form-horizontal" method="POST" action="/list/{{.ListID}}">
	<fieldset>
	<div class="control-group">
		<label class="control-label" for="title">Title</label>
		<div class="controls">
		<input class="input-xlarge" type="text" id="title" value="{{.Title}}" name="title">
		</div>
	</div>
	</fieldset>
	<fieldset>
	<div class="control-group">
		<label class="control-label" for="description">Description</label>
		<div class="controls">
		<textarea class="input-xlarge" id="description" rows="5" name="description">{{range .Description}}{{.}}
{{end}}</textarea>
		</div>
	</div>
	<div class="form-actions">
		<button type="submit" class="btn btn-primary">Save</button>
		<a href="/list/{{.ListID}}" class="btn">Cancel</a>
	</div>
	</fieldset>
</form>
{{end}}

{{$listID := .List.ListID}}
{{range .List.Books}}
<div class="row">
	<div class="span1">
	<p class="pull-right"><a href="/book/{{.ID}}">{{if .Cover}}<img class="img-rounded" src="/cover/{{.ID}}/small/{{.Title}}.jpg" alt="{{.Title}}" />{{end}}</a></p>
	</div>
	<div class="span10 well">
	<div class="row">
	<div class="span7">
	<p>
	<span class="muted">[{{if .Lang}}{{.Lang}}{{end}}]</span>
	<a href="/book/{{.ID}}"><strong>{{.Title}}</strong></a>
	<span class="muted">{{if .Publisher}}{{.Publisher}}{{end}}</span><br />
	{{range .Authors}}{{.}}, {{end}}
	</p>
	</div>
	<div class="span3">
	<div class="pull-right">
	<a href="/list/{{$listID}}/remove/{{.ID}}" class="btn btn-danger"><i class="icon-remove"></i> remove</a>
	</div>
	</div>
	</div>
	</div>
</div>
{{end}}

{{template "footer.html"}}
